Bug 1353165 - fence-agents-virsh or fence-agents-common lacks dependency on python-pycurl
Summary: fence-agents-virsh or fence-agents-common lacks dependency on python-pycurl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fence-agents
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Grac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1353221
TreeView+ depends on / blocked
 
Reported: 2016-07-06 10:41 UTC by Damien Ciabrini
Modified: 2016-07-12 15:05 UTC (History)
2 users (show)

Fixed In Version: fence-agents-4.0.20-3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1353221 1372595 (view as bug list)
Environment:
Last Closed: 2016-07-12 15:05:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Damien Ciabrini 2016-07-06 10:41:19 UTC
Description of problem:

When trying to run fence_virsh on a fedora24 cloud image, one gets
import error from the python interpreter.

    ImportError: No module named pycurl

Even if the fence-agents specfile has a "BuildDepends: python-pycurl", it seems that fence-agents-virsh or fence-agents-common lacks a "Requires: python-pycurl".

Version-Release number of selected component (if applicable):
fence-agents-virsh-4.0.20-2.fc24.x86_64

How reproducible:
always

Steps to Reproduce:
1. install fence-agents-virsh
   sudo dnf install -y fence-agents-virsh 

2. try to run the agent
   sudo /usr/sbin/fence_virsh --help

Actual results:
Traceback (most recent call last):
  File "/usr/sbin/fence_virsh", line 12, in <module>
    from fencing import *
  File "/usr/share/fence/fencing.py", line 3, in <module>
    import sys, getopt, time, os, uuid, pycurl, stat
ImportError: No module named pycurl

Expected results:
fence_virsh should import pycurl and execute properly

Additional info:
This was tested on Fedora 24 cloud image Fedora-Cloud-Base-24-1.2.x86_64.qcow2

Comment 1 Fedora Update System 2016-07-06 11:46:48 UTC
fence-agents-4.0.20-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-274bda497a

Comment 2 Fedora Update System 2016-07-10 16:00:59 UTC
fence-agents-4.0.20-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-274bda497a

Comment 3 Fedora Update System 2016-07-12 15:05:14 UTC
fence-agents-4.0.20-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.